Subject: Re: git-p4: commits are visible in history after 'git p4 clone', but not a single file present

From: Ilya Dogolazky <[email-masked]>
Date: Wed, 13 Jun 2012 15:56:00 +0300

Hi !

06/13/2012 09:58 AM, Ilya Dogolazky написал:
> $ P4CLIENT=xexe1 git p4 submit
> Error: Cannot locate perforce checkout of //xxx/yyy/ in client view

After some playing around with git-p4 script and adding debugging 
printing I realized, that the solution is to do

$ P4CLIENT=xexe1 git p4 clone //xxx/yyy/zzz@all ~/xexe1
instead of just
$ P4CLIENT=xexe1 git p4 clone //xxx/yyy@all ~/xexe1

After that "git-p4 submit" started to work.

I still don't understand p4 enough in order to know why it's happening, 
but now at least I can clone+change+rebase+submit files into the 
perforce repository with git-p4, which is great.

Luke, Pete: thanks a lot for your help and patience!

Cheers,

Ilya